<?php
/*
Copyright (C) 2008 by oscim   Project lossim  [ 15.09.2009, 09:17:59] @oscim
// kate: replace-trailing-space-save true; space-indent on; indent-width 2; mixedindent off; indent-mode cstyle; word-wrap-marker-color #41C2A4
ENCODE UTF-8
*/
error_reporting(E_ALL);
// $message_stack = new message_stack;
///Chargement des modules de l'admin et librairie eventuel. appel des fichier d'entete head.php et constante du module du type BO_MOD_NOM_MODULE
$var_module_wysing_add=array(); global $var_module_wysing_add;
$nom=NewFct('cstr_liste',_BO_REP_MOD);
if(is_array($nom))while ($r=each($nom)){
  define('BO_MOD_'.strtoupper($r['value']), 'true');
  ## charge fichier entete
  if (file_exists(_BO_REP_MOD.$r['value'].'/head.inc')) @include(_BO_REP_MOD.$r['value'].'/head.inc');
  ## charge fichier module lang
  if (file_exists(_BO_REP_MOD.$r['value'].'/language/'._USER_PERSO__PREF_LANGUAGE.'.php')) require(_BO_REP_MOD.$r['value'].'/language/'._USER_PERSO__PREF_LANGUAGE.'.php');
}

//!  CAHRGE mod PUBLIC, head specifique admin
if(is_array($_PX_config_module))while ($r=each($_PX_config_module)){
  if ($r['value']=='true') {
  ## charge fichier entete
  if (file_exists(ADD_PATH_ADMIN.CHEM_MODULES.$r['key'].'/admin/head.inc')) @include(ADD_PATH_ADMIN.CHEM_MODULES.$r['key'].'/admin/head.inc');
  ## charge fichier module lang
  if (file_exists(ADD_PATH_ADMIN.CHEM_MODULES.$r['key'].'/language/BOperm'._USER_PERSO__PREF_LANGUAGE.'.php')) require(ADD_PATH_ADMIN.CHEM_MODULES.$r['key'].'/language/BOperm'._USER_PERSO__PREF_LANGUAGE.'.php');
  }
}

  ## Chargement des lement du theme graphiue et des icone en cst
  include(_BO_REP_THEME.TEMPLATE_ADMIN.'/inc/def_icon.inc');
  var_config_cst($_PX_icons,'loss_icon');

?>
  <base href="<?php echo URL_ADMIN ?>" />
  <title><?php print META_TITLE_PAGE; ?></title>
  <script src="<?php echo URL_DU_SITE ?>ext/prototype/prototype.js" type="text/javascript"></script>
  <?php
  ## descatication lightwindow sur certaine page
  if (eregi("(xmedia.*)",$page_admin))  {
          include_file (_SCRIPTACULOUS_LIB_SCRIPTACULOUS);
          include_file (_LIGHTWINDOW_LIB_LIGHTWINDOW);
          include_file (_LIGHTWINDOW_CSS_LIGHTWINDOW);
  }
  elseif (eregi("(edit_template|module|test)",$page_admin)) include_file (_SCRIPTACULOUS_LIB_SCRIPTACULOUS);
  elseif (eregi("(modifier_un_fichier|creer_une_page)",$page_admin)) charg_editeur_d_edition(@$_POST['fixe_mod'],true);
  ?>
  <script src="include/js/application.js" type="text/javascript"></script>
  <!-- 	def et passage de var js pour dépendances -->
  <script  type="text/javascript">
          var ajax_img_loading = 'template/<?php print TEMPLATE_ADMIN ?>/img/ajax-loading.gif';
          var url_du_site = '<?php print URL_DU_SITE ?>';
          var url_admin = '<?php print URL_ADMIN ?>';
          var get_file = '<?php print @$_GET['file'] ?>';
  </script>
<?php


if (!is_register_session('row_by_page') || isset($post['row_by_page'])) {
  $post['row_by_page']=(isset($post['row_by_page']) ? $post['row_by_page']: '5' );
  add_in_session('row_by_page', $post['row_by_page']  );
}
else $post['row_by_page']= value_in_session('row_by_page');

?>